关注VPS服务器
相关知识分享

宝塔面板环境软件linux/nginx/php/mysql/phpmyadmin版本如何选择

初次登陆宝塔面板时会提示我们安装环境软件和版本,宝塔面板环境软件版本如何选择?比如linux/nginx/php/mysql/phpmyadmin这些软件的选择都是有依据的。选择不对要么web程序无法运行,要么容易出现兼容性问题或者卡顿。所以老魏今天和大家说说面对这种情况应该如何选择。不止初次登陆时要选择合适版本,在使用时因为web程序要求不同也要添加不同环境软件版本。

还没有安装宝塔面板的朋友,点我直达宝塔面板官网,注册宝塔官方账号后要绑定到你服务器的宝塔面板中,新用户即可享受0.99元体验1个月专业版,守护服务器安全。

宝塔面板环境软件版本如何选择

宝塔面板环境软件版本如何选择

宝塔面板环境软件选择

如上图所示首先看到的是 LNMP(推荐)和LAMP。所谓的 lnmp指的是 linux+nginx+mysql+php,lamp指的是 linux+apache+mysql+php。实践经验告诉我们,lnmp的综合性能更强,使用人数更多,出问题时更容易找到解决办法。

除非程序特殊要求,老魏建议大家首选 lnmp一键包部署环境。

Linux系统版本选择

操作系统如果用于 php建站老魏强烈建议首选 linux系统,版本越新越好。比如 CentOS系统,阿里云和腾讯云能用最高版本和次高版本就不要用老旧版本。包括 linux官方在内也不断升级更新操作系统版本,并对旧版本不再提供补丁服务。

宝塔面板环境版本选择

选择了 lnmp后,我们还看上面这张图。

  • nginx:选择最新版本,版本越高性能越强;
  • MySQL:5.5适合小内存服务器(低于2G)使用。5.6适合2G及更大内存的服务器使用,安装在低于2G内存服务器上会卡顿,5.7要求内存不低于6G~8G,小内存服务器不要想。大部分常见的云服务器内存是2G、4G、8G,如果程序没有特殊要求,使用 5.5或5.6都行,有特殊要求就按照要求选择版本;
  • Pure-Ftpd:当前版本即可;
  • PHP:默认5.6只适合某些老程序的需求。Wordpress一般支持最新php版本,越高性能越好,php解析能力强速度快。老魏建议选择最高版本或次高版本;
  • PhpMyAdmin:最高版本或次高版本。

宝塔面板环境版本安装方式

  • 极速安装:也叫 rpm/dbd,安装时间极快(5~10分钟),版本和稳定性略低,适合测试环境使用;
  • 编译安装:安装时间长(视服务器配置需时30分钟~2小时),性能最大化,适合生产环境;
  • 综合来说短期测试选极速安装,长期运行选编译安装。

宝塔面板环境版本安装举例

  • 1核2G服务器需要安装 wordpress最新版,选择 lnmp环境包,nginx1.18,mysql5.5,php7.4会更好些;
  • 2核4G服务器可以选择 mysql5.6,其他不变;
  • 老魏也有遇到某些小程序对MySQL版本要求更高一些,要求用 5.6/5.7版本。而web应用比如wordpress使用5.5就可以稳定运行了。

适合部署宝塔面板的服务器

以下服务器是老魏自己在用的,也是经过长时间使用后的分享参考。

国内服务器:阿里云腾讯云(都有代金券,付款时抵用省钱)

国外服务器:点我登陆 Vultr 主机

如果是用来建站,那么就要注册域名了。主要用户是老外的话(外贸网站、B2C/C2C等),建议在国外注册,不要在国内注册。打开namesilo官网,在搜索框里输入要注册的域名,选择好之后注册,付费之前记得使用优惠码省钱。优惠码点击国外域名商Namesilo域名注册教程获取。

老魏点评

总体来说,宝塔面板环境软件linux/nginx/php/mysql/phpmyadmin版本选新的不选旧的,如果你求稳就选择次高版本。对于相当一部分长期运营web应用的站长来说,linux系统安装一次可以使用好几年,直到更换服务器为止,所以说一定要选择最新版本,性能、安全性、稳定性等方面都比老旧版本更可靠。

这是本专题163篇文章中的第3篇: 宝塔面板

赞(0)
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《宝塔面板环境软件linux/nginx/php/mysql/phpmyadmin版本如何选择》
文章链接:https://www.vpsss.net/22579.html
本站资源仅供个人学习交流,转载请保留出处及链接,不允许用于商业用途,否则法律问题自行承担。